astro query:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- astroquery v0.4.11 »
- IRSA Queries (`astroquery.ipac.irsa`) »
- IrsaClass

# IrsaClass

class astroquery.ipac.irsa.IrsaClass

  Bases: `BaseVOQuery`

  Attributes Summary

  `sia` |
  `ssa` |
  `tap` |

  Methods Summary

  `list_catalogs`(*[, full, filter, ...]) | Return information of available IRSA catalogs.
  `list_collections`(*[, servicetype, filter]) | Return information of available IRSA SIAv2 collections to be used in `query_sia` queries.
  `list_columns`(catalog, *[, full]) | Return list of columns of a given IRSA catalog.
  `print_catalogs`() |
  `query_region`([coordinates, catalog, ...]) | Queries the IRSA TAP server around a coordinate and returns a `Table` object.
  `query_sia`(*[, pos, band, time, pol, ...]) | Use standard SIA2 attributes to query the IRSA SIA service.
  `query_ssa`(*[, pos, radius, band, time, ...]) | Use standard SSA attributes to query the IRSA SSA service.
  `query_tap`(query, *[, async_job, maxrec]) | Send query to IRSA TAP.

  Attributes Documentation

  sia
  ssa
  tap

  Methods Documentation

  list_catalogs(*, full=False, filter=None, include_metadata_tables=False, cache=False)

    Return information of available IRSA catalogs.

    Parameters:
      full bool

        If True returns the full schema as a `Table`. If False returns a dictionary of the table names and their description.

      filter str or None

        If specified we only return catalogs when their catalog_name or the short description contains the filter string (case-insensitive). Note this may not be all the relevant catalogs from a given mission, do consult the unfiltered list when in doubt.

      include_metadata_tables bool

        If True returns not just the catalogs but all table holdings including the image metadata tables. These are not suitable for spatial queries with e.g. `query_region`.

  list_collections(*, servicetype=None, filter=None)

    Return information of available IRSA SIAv2 collections to be used in `query_sia` queries.

    Parameters:
      servicetype str or None

        Service type to list collections for. Returns all collections when not provided. Currently supported service types are: ‘SIA’, ‘SSA’.

      filter str or None

        If specified we only return collections then their collection_name contains the filter string.

    Returns:
      collections A `Table` object.

        A table listing all the possible collections for IRSA SIA queries.

  list_columns(catalog, *, full=False)

    Return list of columns of a given IRSA catalog.

    Parameters:
      catalog str

        The name of the catalog.

      full bool

        If True returns the full schema as a `Table`. If False returns a dictionary of the column names and their description.

  print_catalogs()

    Deprecated since version 0.4.10: The print_catalogs function is deprecated and may be removed in a future version. Use list_catalogs instead.

  query_region(coordinates=None, *, catalog=None, spatial='Cone', radius=<Quantity 10. arcsec>, width=None, polygon=None, get_query_payload=False, columns='*', async_job=False, verbose=False, cache=True)

    Queries the IRSA TAP server around a coordinate and returns a `Table` object.

    Parameters:
      coordinates str, `astropy.coordinates` object

        Gives the position of the center of the cone or box if performing a cone or box search. Required if spatial is `'Cone'` or `'Box'`. Ignored if spatial is `'Polygon'` or `'All-Sky'`.

      catalog str

        The catalog to be used. To list the available catalogs, use `list_catalogs()`.

      spatial str

        Type of spatial query: `'Cone'`, `'Box'`, `'Polygon'`, and `'All-Sky'`. Defaults to `'Cone'`.

      radius str or `Quantity` object, [optional for spatial is `'Cone'`]

        The string must be parsable by `Angle`. The appropriate `Quantity` object from `astropy.units` may also be used. Defaults to 10 arcsec.

      width str, `Quantity` object [Required for spatial is `'Box'`.]

        The string must be parsable by `Angle`. The appropriate `Quantity` object from `astropy.units` may also be used.

      polygon list, [Required for spatial is `'Polygon'`]

        A list of `(ra, dec)` pairs (as tuples), in decimal degrees, outlining the polygon to search in. It can also be a list of `astropy.coordinates` object or strings that can be parsed by `astropy.coordinates.ICRS`.

      get_query_payload bool, optional

        If `True` then returns the dictionary sent as the HTTP request. Defaults to `False`.

      columns str, optional

        Target column list with value separated by a comma(,)

      async_job bool, optional

        if True query is run in asynchronous mode

    Returns:
      table A `Table` object.
  query_sia(*, pos=None, band=None, time=None, pol=None, field_of_view=None, spatial_resolution=None, spectral_resolving_power=None, exptime=None, timeres=None, publisher_did=None, facility=None, collection=None, instrument=None, data_type=None, calib_level=None, target_name=None, res_format=None, maxrec=None, **kwargs)

    Use standard SIA2 attributes to query the IRSA SIA service.

    Parameters:
      pos single or list of tuples

        angle units (default: deg) the positional region(s) to be searched for data. Each region can be expressed as a tuple representing a CIRCLE, RANGE or POLYGON as follows: (ra, dec, radius) - for CIRCLE. (angle units - defaults to) (long1, long2, lat1, lat2) - for RANGE (angle units required) (ra, dec, ra, dec, ra, dec … ) ra/dec points for POLYGON all in angle units

      band scalar, tuple(interval) or list of tuples

        (spectral units (default: meter) the energy interval(s) to be searched for data.

      time single or list of `Time` or compatible strings

        the time interval(s) to be searched for data.

      pol single or list of str from `pyvo.dam.obscore.POLARIZATION_STATES`

        the polarization state(s) to be searched for data.

      field_of_view single or list of tuples

        angle units (default arcsec) the range(s) of field of view (size) to be searched for data

      spatial_resolution single or list of tuples

        angle units required the range(s) of spatial resolution to be searched for data

      spectral_resolving_power single or list of tuples

        the range(s) of spectral resolving power to be searched for data

      exptime single or list of tuples

        time units (default: second) the range(s) of exposure times to be searched for data

      timeres single of list of tuples

        time units (default: second) the range(s) of temporal resolution to be searched for data

      publisher_did single or list of str

        specifies the unique identifier of dataset(s). It is global because it must include information regarding the publisher (obs_publisher_did in ObsCore)

      collection single or list of str

        name of the collection that the data belongs to

      facility single or list of str

        specifies the name of the facility (usually telescope) where the data was acquired.

      instrument single or list of str

        specifies the name of the instrument with which the data was acquired.

      data_type‘image’|’cube’

        specifies the type of the data

      calib_level single or list from enum

        `pyvo.dam.obscore.CALIBRATION_LEVELS` specifies the calibration level of the data. Can be a single value or a list of values

      target_name single or list of str

        specifies the name of the target (e.g. the intention of the original science program or observation)

      res_format single or list of strings

        specifies response format(s).

      max_records int

        allows the client to limit the number or records in the response

      **kwargs custom query parameters

        single or a list of values (or tuples for intervals) custom query parameters that a specific service accepts. The values of the parameters need to follow the SIA2 format and represent the appropriate quantities (where applicable).

    Returns:
      Results in `Table` format.
  query_ssa(*, pos=None, radius=None, band=None, time=None, collection=None)

    Use standard SSA attributes to query the IRSA SSA service.

    Parameters:
      pos `SkyCoord` class or sequence of two floats

        the position of the center of the circular search region. assuming icrs decimal degrees if unit is not specified.

      raidus `Quantity` class or scalar float

        the radius of the circular region around pos in which to search. assuming icrs decimal degrees if unit is not specified.

      band `Quantity` class or sequence of two floats

        the bandwidth range the observations belong to. assuming meters if unit is not specified.

      time `Time` class or sequence of two strings

        the datetime range the observations were made in. assuming iso 8601 if format is not specified.

      collection str

        Name of the collection that the data belongs to.

    Returns:
      Results in `Table` format.
  query_tap(query, *, async_job=False, maxrec=None)

    Send query to IRSA TAP. Results in `TAPResults` format. result.to_qtable in `QTable` format

    Parameters:
      query str

        ADQL query to be executed

      async_job bool, optional

        if True query is run in asynchronous mode

      maxrec int, optional

        maximum number of records to return

    Returns:
      result `TAPResults`

        TAP query result.

      result.to_table `Table`

        TAP query result as `Table`

      result.to_qtable `QTable`

        TAP query result as `QTable`